POST Agents/Pocket/GetPocketStartupData
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Pocket/GetPocketStartupData
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Pocket/GetPocketStartupData?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Tables, CurrentClientTime
| Property Name | Type | Description |
|---|---|---|
| Tables | Array | |
| CurrentClientTime | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: PocketStartupData
| Property Name | Type | Description |
|---|---|---|
| TableRights | array | List of tablerights for logged in user, in the same order as the Tables array parameter |
| PhoneLocaleTimeZoneData | TimeZoneData | |
| BaseLocaleTimeZoneData | TimeZoneData | |
| OverdueSalesCount | int32 | Number of overdued sales for current user |
| NotificationsCount | int32 | Number of new invitations |
| SystemWebPanels | array | Web panels defined in Admin client, set to be shown in Pocket client |
| PocketPreferences | array | All Pocket specific preferences, including WebPanels defined by the user in Pocket |
| IsPushNotificationEnabled | bool | Is push notification configured and enabled in Netserver |
| CustomData | string | Custom data for Pocket, in JSON format |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Pocket/GetPocketStartupData
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Tables": [
"soluta",
"sit"
],
"CurrentClientTime": "2004-06-22T10:11:00.7396575+02:00"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"TableRights": [
"person",
"appointment"
],
"PhoneLocaleTimeZoneData": null,
"BaseLocaleTimeZoneData": null,
"OverdueSalesCount": 3,
"NotificationsCount": 12,
"SystemWebPanels": [
{
"WebPanelId": 847,
"Name": "Customer Portal",
"Tooltip": "Access customer portal from mobile device",
"Deleted": false,
"Rank": 929,
"UrlEncoding": "ANSI",
"VisibleIn": "ActivityDialog",
"OnCentral": true,
"OnSatellite": false,
"OnTravel": false,
"OnSalesMarketingWeb": true,
"OnSalesMarketingPocket": true,
"ShowInMenuBar": true,
"ShowInToolBar": false,
"ShowInAddressBar": false,
"ShowInStatusBar": false,
"WindowName": "Customer Portal Window",
"Url": "https://portal.acmecorp.com/",
"ProgId": "customer_portal",
"Icon": 29,
"AlwaysReloadOnShow": false,
"NeverReloadOnCurrentChange": true,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 473
}
}
}
],
"PocketPreferences": [
{
"Level": "Database",
"RawValue": "true",
"Specification": null,
"DisplayValue": "Enabled",
"DisplayTooltip": "Push notifications are enabled for this device",
"DisplayType": "Bool",
"TabOrder": null,
"TargetId": 40,
"PrefDescId": 516,
"TableName": "Witting, Reynolds and Wintheiser",
"UserPreferenceId": 441,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 328
}
}
}
],
"IsPushNotificationEnabled": true,
"CustomData": "{\"lastSync\":\"2024-11-27T16:30:00Z\",\"syncInterval\":300}",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 923
}
}
}